%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ghcm
%global packver   3.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          3.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Functional Conditional Independence Testing with the GHCM

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.0.0
Requires:         R-core >= 4.0.0
BuildRequires:    R-CRAN-CompQuadForm 
BuildRequires:    R-CRAN-Rcpp 
BuildRequires:    R-splines 
Requires:         R-CRAN-CompQuadForm 
Requires:         R-CRAN-Rcpp 
Requires:         R-splines 

%description
A statistical hypothesis test for conditional independence. Given
residuals from a sufficiently powerful regression, it tests whether the
covariance of the residuals is vanishing. It can be applied to both
discretely-observed functional data and multivariate data. Details of the
method can be found in Anton Rask Lundborg, Rajen D. Shah and Jonas Peters
(2022) <doi:10.1111/rssb.12544>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
